%define archive_name Rx

Name:           python3-rx
Version:        1.6.1
Release:        %mkrel 2
Summary:        Is a library for composing asynchronous and event-based programs using observable collections and LINQ-style query operators in Python.
License:        BSD-3-Clause
Group:          Development/Python
URL:            https://pypi.org/project/Rx/
Source:         %{archive_name}-%{version}.tar.xz
BuildRequires:  python-rpm-macros
Provides:   RxPY

%description
Reactive Extensions for Python (RxPY) is a set of libraries for composing asynchronous and event-based programs using observable sequences and LINQ-style query operators in Python. Using Rx, developers represent asynchronous data streams with Observables, query asynchronous data streams using operators, and parameterize concurrency in data/event streams using Schedulers.

Using Rx, you can represent multiple asynchronous data streams (that come from diverse sources, e.g., stock quote, Tweets, computer events, web service requests, etc.), and subscribe to the event stream using the Observer object. The Observable notifies the subscribed Observer instance whenever an event occurs.You can put various transformations in-between the source Observable and the consuming Observer as well.

Because Observable sequences are data streams, you can query them using standard LINQ-like query operators implemented by the Observable type. Thus you can filter, map, reduce, compose and perform time-based operations on multiple events easily by using these static LINQ operators. In addition, there are a number of other reactive stream specific operators that allow powerful queries to be written. Cancellation, exceptions, and synchronization are also handled gracefully by using the methods on the Observable object.


%prep
%setup -q -n %{archive_name}-%{version}

%build
 %{__python3} setup.py build

%install

rm -rf $RPM_BUILD_ROOT
 %{__python3} setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files 

%{python3_sitelib}/*

%changelog
* Sun Oct 13 2019 tex - 1.6.1-2pclos2019
- rebuild against updates

* Fri May 17 2019 pckg <pckg at email.cz> 1.6.1-1pclos2019
- Initial package
